XKBSEL(1)

NAME
xkbsel - select keyboard layout

SYNOPSIS
xkbsel [-v] [--debug] [-s] MAP
xkbsel [-v] [--debug] {-n,-p}
xkbsel {--help,--version}

DESCRIPTION
xkbsel is a command-line interface for selecting the keyboards, suitable for installing as action bound to some key combination in a window manager, inclusion in scripts or plain command-line usage. xkbsel supports following options:

-s MAP, --select=MAP
    selects the named MAP

-n, --next
    select the next map in the ordering defined by the configuration file

-p, --previous
    select the previous map in the ordering defined by the configuration file

-v, --verbose
    be verbose

--debug
    be very verbose

--help
    output brief usage instructions

--version
    output the version of the program

The MAP can be specified either as full XKB name (e.g. xfree86(us) or sun/de(type4_de)), or as a shortcut defined in the configuration file. The options -n and -p only work when the current mapping was specified in the shortcut form - otherwise they select the first and the last map respectively.

FILES

/etc/xkbsel.conf
    system configuration file

~/.xkbsel/xkbsel.conf
    user's configuration file

SEE ALSO
xkbseldb(1), xkbsel-aw(1), xkbsel(5)

AUTHOR
Stanislav Meduna <stano@trillian.eunet.sk>